/* 0irc
 * Copyright (C) 2000 Torsten Stelling <murphy@dev0.de>
 *
 * AuroreIRC
 * Copyright (C) 1999 Omar Kilani <omar@aurore.net>
 *
 * OpenIRC
 * Copyright (C) 1998 Damian Hodgkiss <mian@thrity4.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef _COMMANDS_H
#define _COMMANDS_H

extern void ParseLocalCommand(char *command, char *args);

extern void Ame(char *args);
extern void Channels(char *args);
extern void Ctcp(char *args);
extern void Dcc(char *args);
extern void Echo(char *args);
extern void Join(char *args);
extern void Help(char *args);
extern void Kick(char *args);
extern void Leave(char *args);
extern void Me(char *args);
extern void Mode(char *args);
extern void Msg(char *args);
extern void Nick(char *args);
extern void NsLookup(char *args);
#ifndef DLL
extern void Quit(char *args);
#endif
extern void Ping(char *args);
extern void Sayit(char *args);
extern void Server(char *args);
extern void Sv(char *args);
extern void Topic(char *args);
extern void Whois(char *args);
extern void Window(char *args);
extern void Quote(char *args);
extern void Away(char *args);
extern void Notice(char *args);
extern void Style(char *args);
extern void Clear(char *args);
extern void About(char *args);
extern void CmdConnect(char *args);
extern void CmdDisconnect(char *args);
#ifndef DLL
extern void CmdConfig(char *args);
#endif
extern void CmdFinger(char *args);
extern void CmdLog(char *args);
#endif